org.eclipse.ecf.remoteservice.rest.client

## Class HttpPostRequestType

- java.lang.Object
- - org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType
  - - org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType
    - - org.eclipse.ecf.remoteservice.rest.client.HttpPostRequestType

All Implemented Interfaces:
  IRemoteCallableRequestType

Direct Known Subclasses:
  HttpPatchRequestType

    public class HttpPostRequestType
    extends AbstractEntityRequestType

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

`BYTEARRAY_REQUEST_ENTITY, CHARSET_PARAM_NAME, CONTENT_LENGTH_AUTO, CONTENT_LENGTH_PARAM_NAME, CONTENT_TYPE_PARAM_NAME, defaultCharset, defaultContentLength, defaultContentType, FILE_REQUEST_ENTITY, INPUT_STREAM_REQUEST_ENTITY, NO_REQUEST_ENTITY, requestEntityType, STRING_REQUEST_ENTITY`

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`defaultRequestHeaders`

### Constructor Summary

Constructors
Constructor and Description
`HttpPostRequestType()`
`HttpPostRequestType(int requestEntityType)`
`HttpPostRequestType(int requestEntityType, Map defaultRequestHeaders)`
`HttpPostRequestType(int requestEntityType, String defaultContentType)`
`HttpPostRequestType(int requestEntityType, String defaultContentType, long defaultContentLength)`
`HttpPostRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, Map defaultRequestHeaders)`
`HttpPostRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset)`
`HttpPostRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset, Map defaultRequestHeaders)`
`HttpPostRequestType(int requestEntityType, String defaultContentType, Map defaultRequestHeaders)`
`HttpPostRequestType(Map defaultRequestHeaders)`

### Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

`generateRequestEntity, getCharset, getContentLength, getContentType, useRequestEntity`

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`getDefaultRequestHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType,
                               String defaultContentType,
                               long defaultContentLength,
                               String defaultCharset,
                               Map defaultRequestHeaders)

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType,
                               String defaultContentType,
                               long defaultContentLength,
                               String defaultCharset)

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType,
                               String defaultContentType,
                               long defaultContentLength,
                               Map defaultRequestHeaders)

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType,
                               String defaultContentType,
                               long defaultContentLength)

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType,
                               String defaultContentType,
                               Map defaultRequestHeaders)

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType,
                               String defaultContentType)

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType,
                               Map defaultRequestHeaders)

#### HttpPostRequestType

    public HttpPostRequestType(Map defaultRequestHeaders)

#### HttpPostRequestType

    public HttpPostRequestType(int requestEntityType)

#### HttpPostRequestType

    public HttpPostRequestType()